Subject: bug#34580: Service ssh-daemon could not be started

From: "Brant Gardner" <[email-masked]>
Date: Sat, 28 Sep 2019 07:38:49 -0500

Hi Ludo;

Okay, I did those steps exactly:

  - clone
  - patch -p1 < your-patch
  - ./bootstrap
  - ./configure --localstatedir=/var
  - make check
  - sudo -E ./pre-inst-env guix system reconfigure /path/to/myconfig.scm
  - reboot

I had no issues or errors at any step and on reboot ssh-daemon tried & failed to start so all went according to plan, but /tmp does *not* have a ssh log file in it.

Not sure where this went sideways, any advice?

Thank you,

--
Brant Gardner

On Sat, Sep 28, 2019, at 04:45, Ludovic Courtès wrote:
> Hi Brant,
> 
> "Brant Gardner" <[email-masked]> skribis:
> 
> > Going to show my ignorance here - I've contributed some packages by
> > making things in a 'guix environment' and then extracting patches, but
> > what you need me to do is activate a configuration change in a 'live'
> > guix install (and on a service rather than a package, also new-ish to
> > me) so it sticks over a reboot.  This is not something I've done
> > before and I'm not finding docs for it, can you direct me?
> 
> Sure, sorry for not being clearer.
> 
> So you would apply the patch I sent over a fresh checkout of Guix, like
> so:
> 
>   git clone https://git.savannah.gnu.org/git/guix.git
>   cd guix
>   patch -p1 < the-patch
> 
> Then you need to build Guix from that checkout:
> 
>   https://guix.gnu.org/manual/en/html_node/Building-from-Git.html
> 
> Finally, you can reconfigure your system from that checkout with:
> 
>   sudo -E ./pre-inst-env guix system reconfigure …
> 
> Let me know how it goes!
> 
> Thanks,
> Ludo’.
>